## com.ibm.lab.soln.editor.extras
Class ShowMaxEditorActionDelegate

    java.lang.Object
      |
      +--com.ibm.lab.soln.editor.extras.ShowMaxEditorActionDelegate

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IEditorActionDelegate

public class ShowMaxEditorActionDelegate
extends java.lang.Object
implements org.eclipse.ui.IEditorActionDelegate

Action to display the max integer from the mini-spreadsheet.

Constructor Summary
`ShowMaxEditorActionDelegate()`

Method Summary
`void` | `run(org.eclipse.jface.action.IAction action)` Find the largest integer value in the spreadsheet and display its value.
`void` | `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void` | `setActiveEditor(org.eclipse.jface.action.IAction action, org.eclipse.ui.IEditorPart targetEditor)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowMaxEditorActionDelegate

    public ShowMaxEditorActionDelegate()

Method Detail

### run

    public void run(org.eclipse.jface.action.IAction action)

  Find the largest integer value in the spreadsheet and display its value.

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`
  See Also:
    `IActionDelegate.run(org.eclipse.jface.action.IAction)`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`

### setActiveEditor

    public void setActiveEditor(org.eclipse.jface.action.IAction action,
                                org.eclipse.ui.IEditorPart targetEditor)

  Specified by:
    `setActiveEditor` in interface `org.eclipse.ui.IEditorActionDelegate`
  See Also:
    `IEditorActionDelegate.setActiveEditor(org.eclipse.jface.action.IAction, org.eclipse.ui.IEditorPart)`